WPSHeader Class Reference

`#include <WPSHeader.h>`

## Public Member Functions

| WPSHeader (WPXInputStreamPtr &input, shared_ptr< libwps::Storage > &ole, uint8_t majorVersion)
virtual | ~WPSHeader ()
WPXInputStreamPtr & | getInput ()
shared_ptr< libwps::Storage > & | getOLEStorage ()
uint8_t | getMajorVersion () const

## Static Public Member Functions

static WPSHeader * | constructHeader (WPXInputStreamPtr &input)
| So far, we have identified three categories of Works documents. More...

## Private Member Functions

| WPSHeader (const WPSHeader &)
WPSHeader & | operator= (const WPSHeader &)

## Private Attributes

WPXInputStreamPtr | m_input
shared_ptr< libwps::Storage > | m_oleStorage
uint8_t | m_majorVersion

## Constructor & Destructor Documentation

WPSHeader::WPSHeader | ( | WPXInputStreamPtr & | input,
|  | shared_ptr< libwps::Storage > & | ole,
|  | uint8_t | majorVersion
| ) |  |

Referenced by constructHeader().

WPSHeader::~WPSHeader | ( |  | ) |

virtual

WPSHeader::WPSHeader | ( | const WPSHeader & |  | ) |

private

## Member Function Documentation

WPSHeader * WPSHeader::constructHeader | ( | WPXInputStreamPtr & | input | ) |

static

So far, we have identified three categories of Works documents.

Works documents versions 3 and later use a MS OLE container, so we detect their type by checking for OLE stream names. Works version 2 is like Works 3 without OLE, so those two types use the same parser.

Referenced by WPSDocument::isFileFormatSupported(), and WPSDocument::parse().

WPXInputStreamPtr& WPSHeader::getInput | ( |  | ) |

inline

uint8_t WPSHeader::getMajorVersion | ( |  | ) | const

inline

shared_ptr<libwps::Storage>& WPSHeader::getOLEStorage | ( |  | ) |

inline

WPSHeader& WPSHeader::operator= | ( | const WPSHeader & |  | ) |

private

## Member Data Documentation

WPXInputStreamPtr WPSHeader::m_input

private

Referenced by getInput().

uint8_t WPSHeader::m_majorVersion

private

Referenced by getMajorVersion().

shared_ptr<libwps::Storage> WPSHeader::m_oleStorage

private

Referenced by getOLEStorage().

The documentation for this class was generated from the following files:

- WPSHeader.h
- WPSHeader.cpp